<template>
  <v-container fluid pa-0 class="bg-section-three">
    <v-row>
      <v-col cols="12">
        <h2 class="section-two">LOREM IPSUM <span>LOREM</span></h2>
      </v-col>
    </v-row>

    <v-carousel hide-delimiters show-arrows height="600">
      <template v-slot:prev="{ on, attrs }">
        <v-btn v-bind="attrs" v-on="on" class="bnt-arrow-left">
          <v-icon>fas fa-arrow-left</v-icon>
        </v-btn>
      </template>
      <template v-slot:next="{ on, attrs }">
        <v-btn v-bind="attrs" v-on="on" class="bnt-arrow-right">
          <v-icon>fas fa-arrow-right</v-icon>
        </v-btn>
      </template>

      <v-carousel-item v-for="(slide, i) in model" :key="i">
        <v-row justify="center">
          <v-col cols="12" sm="6" class="text-center">
            <v-img :width="200" :src="slide.image" class="section-img" />
            <div class="carousel-item-tetle">
              {{ slide.title }}
            </div>

            <div class="carousel-item-description">
              {{ slide.description }}
            </div>
          </v-col>
        </v-row>
      </v-carousel-item>
    </v-carousel>
  </v-container>
</template>

<script>
export default {
  name: "SectionTwo",
  data: () => ({
    model: [
      {
        id: 1,
        title: "Lorem Ipsum is simply",
        description:
          "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.",
        image: "/images/Ellipse 10.png",
      },
      {
        id: 2,
        title: "Cupcake",
        description:
          "These incredible vanilla cupcakes are light and fluffy with a plush crumb, and they stay fresh and moist for 4 whole days!",
        image:
          "https://prettysimplesweet.com/wp-content/uploads/2020/07/funfetti-cupcakes-recipe.jpg",
      },
      {
        id: 2,
        title: "Croissant",
        description:
          "How to make homemade French croissants, with detailed, step by step instructions. Buttery, crisp, flaky croissants, and how to perfect them!",
        image:
          "https://www.theflavorbender.com/wp-content/uploads/2020/05/French-Croissants-SM-2363.jpg",
      },
    ],
  }),
};
</script>

<style scoped>
.bg-section-three {
  height: 900px;
  color: #ffffff;
  background: linear-gradient(180deg, #333333 0%, #000000 0.01%);
}
.section-two {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 700;
  font-size: 60px;
  line-height: 73px;
  text-align: center;
  text-transform: uppercase;
  margin-top: 104px;
}
.section-two span {
  color: #d9ef0c;
}
.section-img {
  margin: 98px auto 61px auto;
  width: 200px;
  height: 200px;
  border-radius: 50%;
}
.section-title {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 600;
  font-size: 26px;
  line-height: 32px;
  text-align: center;
}
.section-content {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
  text-align: center;
}
.carousel-item-tetle {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 600;
  font-size: 26px;
  line-height: 32px;
  color: #ffffff;
}
.carousel-item-description {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
  margin-top: 20px;
  color: #ffffff;
}
.bnt-arrow-left {
  font-size: 18px;
  color: #000000;
  width: 54.26px !important;
  height: 55px !important;
  border-radius: 0;
  background: #c4c4c4 !important;
  margin-left: -16px;
  /* transform: matrix(-1, 0, 0, 1, 0, 0); */
}
.bnt-arrow-right {
  font-size: 18px;
  color: #000000;
  width: 54.26px !important;
  height: 55px !important;
  border-radius: 0;
  background: #d9ef0c !important;
  margin-right: -16px !important;
  /* transform: matrix(-1, 0, 0, 1, 0, 0); */
}
</style>
